GET
/integration/v1/users/{user_id}/calendar
Get calendar events for a user
Get calendar events for a user
operationId Get calendar events for a user
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
user_id
|
string (uuid) | required | User id |
Query parameters
| Name | Type | Required | Description |
|---|---|---|---|
date_start
|
string (date) | optional | Start date (YYYY-MM-DD) |
date_end
|
string (date) | optional | End date (YYYY-MM-DD) |
lang
|
string | optional | Language code |
event_type
|
string | optional | Event type enum: ``, `online`, `online_zoom`, `offline` |
event_status
|
string | optional | Event status enum: ``, `registration_not_started`, `registration`, `registration_closed`, `started`, `finished` |
student_status
|
string | optional | Student status enum: ``, `review`, `approved`, `rejected`, `canceled_by_user`, `attended`, … |
access_type
|
string | optional | Access type filter (access_opens_date, access_closes_date, pass_due_date) enum: ``, `access_opens_date`, `access_closes_date`, `pass_due_date` |
Responses
200
application/json body
| Field | Type | Required | Description |
|---|---|---|---|
assignments
|
array | required | |
entity_type
|
string | required | enum: `course`, `learning_path`, `skill_path`, `course_list` |
event_type
|
string | required | enum: `access_opens_date`, `access_closes_date`, `pass_due_date` |
date
|
string (date-time) | required | |
title
|
string | required | |
id
|
string | required | |
entity_data
|
object | optional | |
events
|
array | required | |
event_id
|
string (uuid) | required | Event GUID |
course_id
|
string | required | Course GUID |
ceid
|
integer | required | Content enumeration ID |
course_title
|
string | required | Course title |
event_title
|
string | optional | Event title |
event_description
|
string | optional | Event description |
terms_of_use
|
string | optional | Terms of use |
date_start
|
string (date-time) | required | Event start date |
reg_date_start
|
string (date-time) | required | Event registration start date |
reg_date_end
|
string (date-time) | required | Event registration end date |
type
|
string | required | enum: `online`, `online_zoom`, `offline` |
is_certificate
|
boolean | optional | Flag, defines if this event creates certificate or not |
is_webinar_published
|
boolean | optional | Flag, defines if webinar was published |
is_terms_of_use_enabled
|
boolean | optional | Flag, defines if "Terms of Use" enabled |
teacher
|
string | optional | Teacher name |
capacity
|
integer | required | Event capacity |
capacity_min
|
integer | required | Event minimal capacity |
duration
|
integer | required | Event duration |
event_status
|
string | optional | Event status enum: `registration_not_started`, `registration`, `registration_closed`, `started`, `finished` |
remaining
|
integer | required | Remaining number of sits for this event |
student_capacity
|
integer | optional | LMS-3092: seats of the requesting student's capacity bucket; null when the event has no capacity rules |
student_remaining
|
integer | optional | LMS-3092: remaining seats of the requesting student's capacity bucket; null when the event has no capacity rules |
student_status
|
string | optional | Event student status enum: `review`, `approved`, `rejected`, `canceled_by_user`, `attended`, `missed`, … |
date_review
|
string (date-time) | required | Date, when event was reviewed |
date_checked
|
string (date-time) | required | Date, when event was checked |
is_justification_required
|
boolean | optional | Is justification required flag |
final_justification_status
|
string | optional | enum: `approved`, `rejected`, `review` |
justification_comment
|
string | optional | Student justification comment |
justification_file
|
string | optional | Student justification file url |
justification_file_name
|
string | optional | Student justification origin file name |
justification_date
|
string (date-time) | optional | Student justification date |
justification_id
|
string (uuid) | optional | Student justification id |
justification_review_comment
|
string | optional | Student justification review comment |
justification_review_date
|
string (date-time) | optional | Student justification review date |
approvers
|
array | required | List of course event approvers |
event_approver_id
|
string (uuid) | required | Event approver id |
admin_id
|
string (uuid) | optional | Admin id |
approver_type
|
string | required | Approver type enum: `line_manager`, `specific_approver` |
approver_api_user_id
|
string (uuid) | optional | Approver api user id |
it_is_me
|
boolean | optional | It is me flag |
order
|
integer | required | Approver order |
full_name
|
string | required | Approver full name |
decision_date
|
string (date-time) | optional | Decision date |
email
|
string | optional | Approver email |
comment
|
string | optional | Comment |
status
|
string | optional | Approver status enum: `approved`, `rejected`, `review`, `rejected`, `approved` |
feedback_required
|
boolean | optional | Whether feedback is required for this class course |
has_submitted_feedback
|
boolean | optional | Whether the student has already submitted feedback for this course |
student_rating
|
integer | optional | FB-542: the student's own 1-5 star rating of this event, null when not rated |
rating_submitted_at
|
string | optional | FB-542: when the rating was last submitted/updated (UTC), null when not rated |
rating_eligible
|
boolean | optional | FB-542: whether the student may rate this event (registered + attended + event ended) |
date_end
|
string (date-time) | optional | LMS-3089: event end date (last training day end for multi-day events) |
is_multi_day
|
boolean | optional | LMS-3089: event spans multiple training days |
days
|
object | optional | LMS-3089: training-day schedule (empty for single-day events) |
412 Invalid parameters
500 Server error
512 Specification violations